/* -----------------------------------------------------------------------------
	GSFramework
	Copyright 2001-2013 Emmanuel Julien. All Rights Reserved.
----------------------------------------------------------------------------- */


#ifndef	__UISCENESCRIPTEVENT__
#define	__UISCENESCRIPTEVENT__


		#include "ui/ui_scene_event_interface.h"


namespace GS {
	namespace S2D {

	class Scene;
	struct ISceneEvent;

/*!
	@short	UI scene event interface.
	@author	Emmanuel Julien (ejulien@nworks.fr)
*/
struct	SceneScriptEvent : public ISceneEvent
{
virtual	void		OnSetup(Scene *);
virtual	void		OnReset(Scene *);
virtual	void		OnUpdate(Scene *);
virtual	void		OnDelete(Scene *);
};

	}
}


#endif	// __UISCENESCRIPTEVENT__
